const getServiceHost = api => {
	let port = 3112
	if (APP_ENV == 'release') {
		port = 3000
	} else {
		const apimodules = [{
				OP: 3116
			}, {
				BD: 3101
			}, {
				DD: 3102
			}, {
				EA: 3103
			}, {
				ED: 3104
			}, {
				EM: 3105
			}, {
				FC: 3106
			},
			{
				FM: 3107
			}, {
				KR: 3108
			}, {
				LG: 3109
			}, {
				MR: 3110
			}, {
				NW: 3111
			}, {
				PF: 3112
			}, {
				PM: 3113
			}, {
				QC: 3114
			}, {
				FW: 3115
			}, {
				OP: 3116
			},
			{
				HM: 3117
			}, {
				PP: 3118
			}, {
				FO: 3119
			}, {
				UT: 3177
			}, {
				BS: 3178
			}, {
				SC: 3179
			}, {
				TI: 3179
			}, {
				SE: 3179
			}, {
				AE: 3179
			}, {
				PT: 3179
			}, {
				LR: 3179
			}, {
				OG: 3179
			}, {
				PE: 3179
			}, {
				OH: 3179
			}, {
				CM: 3179
			}, {
				PR: 3179
			}, {
				DM: 3179
			}, {
				BI: 3179
			}
		]
		let port = 3112
		for (let i = 0; i < apimodules.length; i++) {
			const apimodule = apimodules[i]
			const key = Object.keys(apimodule)[0]
			if (api.indexOf(`/${key}/`) > -1) {
				port = apimodule[key]
				break
			}
		}
	}
	return `${port}/api${api}`
}

// 发行APP前先确定，要发布的版本
//process.env.CUSTOM_PLATFORM   APP_ENV
let APP_ENV = 'Test' // release: 发行版   debug:开发环境     beta: 测试版
let configURL
if (APP_ENV === "dev") { //process.env.CUSTOM_PLATFORM
	//本地环境
	configURL = {
		web_name: "",
		serviceHost(api) {
			const apis = getServiceHost(api)
			return `${this.uni_app_web_api_url}:${apis}` //测试环境
		},
		uni_app_web_url: "", //
		uni_app_web_api_url: "http://localhost", // 请求接口的地址
		uni_app_web_source_url: "http://localhost:3199", // 资源地址
		uni_app_web_local_api_url: "http://localhost", // 请求接口的地址
		uni_app_url: "http121.41.2.71:9100",
		qrcode_url: "http://121.41.2.71:9201"
	}
} else if (APP_ENV === "beta") {
	//测试环境
	configURL = {
		web_name: "",
		serviceHost(api) {
			const apis = getServiceHost(api)
			return `${this.uni_app_web_api_url}:${apis}` //测试环境
		},
		uni_app_web_url: "", //
		uni_app_web_api_url: "http://121.41.2.71", // 请求接口的地址
		uni_app_web_source_url: "http://121.41.2.71:3199", // 资源地址
		uni_app_web_local_api_url: "http://121.41.2.71", // 请求接口的地址
		uni_app_url: "http://121.41.2.71:9100",
		qrcode_url: "http://121.41.2.71:9201"
	}
} else if (APP_ENV === "release") {
	//正式环境
	configURL = {
		web_name: "",
		serviceHost(api) {
			const apis = getServiceHost(api)
			return `${this.uni_app_web_local_api_url}:${apis}`
		},
		uni_app_web_url: "",
		uni_app_web_api_url: "https://sps.cxtc.com",
		uni_app_web_source_url: "https://sps.cxtc.com:3199",
		qrcode_url: "https://sps.cxtc.com:9201",
		uni_app_url: "https://sps.cxtc.com:9100",
		uni_app_web_local_api_url: "https://sps.cxtc.com"
	}
} else {
	//开发  debug
	configURL = {
		web_name: "",
		serviceHost(api) {
			const apis = getServiceHost(api)
			return `${this.uni_app_web_local_api_url}:${apis}`
		},
		uni_app_web_url: "",
		uni_app_web_api_url: "http://localhost",
		uni_app_web_source_url: "http://localhost:3199", //附件
		qrcode_url: "http://localhost:9201", //生成二维码
		uni_app_url: "http://localhost:9100", //跳转进入app
		uni_app_web_local_api_url: "http://localhost" //打包测试： 121.41.2.71  开发可  localhost
	}
}

export default configURL